Subject: Re: [rohc] ROHC over Mobile IPv6

From: Frank Xia <[email-masked]>
Date: Tue, 03 Mar 2009 14:51:56 -0600

Hi Priyanka

I couldn't find any documents you referred to.

Just I said before, tunnel optimization
was proposed item in IETF MIPSHOP
item.   I would like to cooperate with
you push in the WG if  you would like.

BR
Frank

----- Original Message ----- 
From: <[email-masked]>
To: "Frank Xia" <[email-masked]>
Cc: <[email-masked]>; <[email-masked]>; 
<[email-masked]>
Sent: Tuesday, March 03, 2009 8:20 AM
Subject: Re: [rohc] ROHC over Mobile IPv6

Hello Frank

We are working on header compression over IP tunnel. This may be of
interest to you. I have attached two drafts related to this work. The
first draft is on ROHC over NEMO basic support tunnel, which discusses
how to use ROHC as defined in RFC3095 (ROHCv2 was not standardized at
the time we started this work) to compress header flows in the tunnel
between the Mobile Router and Home Agent.

The second draft focuses on the problem of header overhead due to IP
tunnels. We designed a new header compression mechanism called TuCP to
compress tunneling headers. The attached draft is an old version, we
are updating this work and want to submit the new version at the
coming IETF meeting.

TuCP can be used in conjunction with ROHC which is to be used for
tunneled headers (IP headers). The objective is to achieve better
header compression performance by using TuCP along with the existing
header compression (ROHC), when required.

We are in the process of updating the draft and would like to submit
it at MEXT working group. It will be interesting for us to receive
comments and start discussion about them at IETF.

We are open for comments and we are interested in continuing this work
further.

Best Regards

Priyanka Rawat
IT/TELECOM Bretagne

Quoting Frank Xia <[email-masked]>:

> Hi All
>
> Mobile IPv6 (MIPv6) is widely adopted by
> WiMAX/3GPP/3GPP2.  To improve MIPv6
> performance, IETF mobility community,
> especially MIPSHOP and MEXT WG,
> has been working on tunnel optimization for a while.
> The solution was questioned by IESG last November
> during MIPSHOP Rechartering.  IESG suggested
> ROHC should be considered in this work.
>
> Mobiel IPv6 specifies a protocol which allows
> a mobile  to remain reachable while moving around
> the internet. The mobile node is always  identified
> by its home address, regardless of its current point
> of attachment to the Internet.  While situated away
> from its home, the mobile node is also associated
> with a care-of address, which provides information
> about the mobile node's current location.  IPv6 packets
> addressed to the mobile node's home address are
> intercepted by a home agent, and routed to the
> mobile node through a bidirectional tunnel. Tunnel
> encapuslation could be IPSec, IPv6inIPv6, IPv4inIPv6,
> IPv4 in UDP, or others .
>
> Mobile IPv6 uses Binding Update (BU)/Binding
> Acknowledgement(BA) to create/delete tunnel,
> and Generic Signaling Messages for other
> purpose communication.
>
> is it possible to have a  channel  parameters
> negotiation document to facilitate MIPv6 using
> ROHC?
>
> BR
> Frank
>